Subject: Re: bug#5180: 23.1.90; Secondary selection and M-w

From: Stefan Kangas <[email-masked]>
Date: Sun, 03 May 2020 03:27:15 +0200

Stefan Kangas <[email-masked]> writes:

>>>> I never noticed it before, but I can confirm that it happens, but only if the
>>>> the Meta key is pressed before releasing the mouse button.
>>
>> I can replicate this, but I assume it's normal behaviour.
>
> Same.

No one has said anything else, so I'm assuming the above conclusion is
correct, and things are working as they should.

>>> I would not find it annoying if that were my case. However, I use the
>>> trackpad with a laptop. I don't know whether that causes the
>>> difference.
>>>
>>> I also find that the Meta key has to be held down for a while (about 1
>>> or 2 s)  but it can be done after releasing the mouse button (with my
>>> hand off the trackpad). Thus:
>>>
>>>  To reproduce:
>>>  1. Drag the mouse to select some text
>>>  2. Stop dragging by moving your hand away from the trackpad and
>>> (after a short delay) HOLD DOWN the Meta (as in M-w) key
>>
>> I can't replicate this in Emacs 25. Are you able to check whether you
>> still get this behaviour in a recent version of Emacs?
>
> I can't replicate this using a trackpad on current master (27.0.50).

Two users (one of them me) have been unable to reproduce this issue,
and there have been no further comments within 6 months.

I therefore see nothing more to here, and I'm closing this bug.

If that conclusion is wrong, and this is still an issue, please reply
to this email (use "Reply to all" in your email client) and we can
reopen the bug report.

Best regards,
Stefan Kangas